# Measure filters

### Inputs

## **Wall filters \[**&#x77;all\_filter&#x73;**]**

<table data-header-hidden><thead><tr><th width="142.22216796875">Name</th><th width="115.888916015625">Type</th><th width="367">Description</th><th>Default</th></tr></thead><tbody><tr><td>biobased</td><td>boolean</td><td><p>Use biobased materials?</p><p>True: only use biobased options</p><p>False: both biobased and non-biobased</p></td><td>None</td></tr><tr><td>cavity</td><td>boolean</td><td><p>Are cavity walls present suitable for insulation</p><p>True: cavity exists and can be filled</p><p>False: no cavity walls or not suitable</p></td><td>None</td></tr><tr><td>material</td><td>list</td><td><p>Material of the insulation</p><p>1: mineral wool</p><p>2: PIR</p><p>3: EPS pearls</p><p>4: Wood fiber</p><p>5: PU foam</p></td><td>None</td></tr></tbody></table>

**Example input:**

<pre><code><strong>{
</strong>  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
<strong>  "wall_filters": {"biobased": true, "cavity": true, "material":[4]}
</strong>}
</code></pre>

## **Roof filters \[**&#x72;oof\_filter&#x73;**]**

<table data-header-hidden><thead><tr><th width="142.22216796875">Name</th><th width="115.888916015625">Type</th><th width="388.3333740234375">Description</th><th>Default</th></tr></thead><tbody><tr><td>biobased</td><td>boolean</td><td><p>Use biobased materials?</p><p>True: only use biobased options</p><p>False: both biobased and non-biobased</p></td><td>None</td></tr><tr><td>insulation_side</td><td>integer</td><td><p>Insulation inside or outside the roof</p><p>1: only inside insulation</p><p>2: only outside insultation</p></td><td>None</td></tr><tr><td>replace_roof</td><td>boolean</td><td><p>Consider replacing the roof?</p><p>True: Options include ones with roof replacement</p><p>False: Only options without roof replacement</p></td><td>None</td></tr><tr><td>material</td><td>list</td><td><p>Material of the insulation</p><p>1: PIR</p><p>2: Bio EPS</p><p>3: EPS</p><p>4: XPS</p><p>5: Flax</p><p>6: Wood fibre</p><p>7: Mineral wool</p><p>8: Resol</p></td><td>None</td></tr></tbody></table>

**Example input:**

<pre><code><strong>{
</strong><strong>  "postcode": "3024XL",
</strong>  "housenumber":227,
  "houseaddition": "B",
<strong>  "roof_filters": {"biobased": false, "insulation_side": 2, "replace_roof": true, "material":[1]}
</strong>}
</code></pre>

## **Floor filters \[floor**\_filter&#x73;**]**

<table data-header-hidden><thead><tr><th width="142.22216796875">Name</th><th width="115.888916015625">Type</th><th width="367">Description</th><th>Default</th></tr></thead><tbody><tr><td>floor_type</td><td>integer</td><td><p>Type of floor (material)</p><p>1: wood floor</p><p>2: concrete floor</p></td><td>None</td></tr><tr><td>crawl_space</td><td>boolean</td><td><p>Does the house have a crawlspace?</p><p>True: crawlspace</p><p>False: no crawlspace</p></td><td>None</td></tr><tr><td>material</td><td>list</td><td><p>Material of the insulation</p><p>1: mineral wool<br>2: PIR<br>3: EPS<br>4: Resol</p></td><td>None</td></tr></tbody></table>

**Example input:**

<pre><code><strong>{
</strong>  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "floor_filters": {"floor_type": 1, "crawl_space": true, "material":[2]}
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/english/sustainability/sustainability-api-v2-apartments/measure-filters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
